Page MenuHomePhabricator

Assorted ULS dialog style cleanups
Closed, ResolvedPublic

Description

Some clean-ups for things that annoyed me while testing ULS.

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 26 2016, 8:15 AM

Change 290887 had a related patch set uploaded (by Nikerabbit):
Remove unnecessary div specification from style rule

https://gerrit.wikimedia.org/r/290887

Change 290888 had a related patch set uploaded (by Nikerabbit):
Remove excessive 5% left-padding and replace with consistent padding

https://gerrit.wikimedia.org/r/290888

Change 290889 had a related patch set uploaded (by Nikerabbit):
Remove border-radius: no border on this element

https://gerrit.wikimedia.org/r/290889

Change 290890 had a related patch set uploaded (by Nikerabbit):
Give language selection buttons more space

https://gerrit.wikimedia.org/r/290890

Change 290891 had a related patch set uploaded (by Nikerabbit):
Have the background for input settings not run to the edge of the dialog

https://gerrit.wikimedia.org/r/290891

Change 290892 had a related patch set uploaded (by Nikerabbit):
Fix the border of font selectors

https://gerrit.wikimedia.org/r/290892

Change 290893 had a related patch set uploaded (by Nikerabbit):
Remove useless style rule

https://gerrit.wikimedia.org/r/290893

Change 290894 had a related patch set uploaded (by Nikerabbit):
Set base font size for ULS dialogs to ensure consistent size

https://gerrit.wikimedia.org/r/290894

Change 290920 had a related patch set uploaded (by Nikerabbit):
Remove cursor: pointer for links.

https://gerrit.wikimedia.org/r/290920

Change 290921 had a related patch set uploaded (by Nikerabbit):
Cleanup settings-* rules in ext.uls.css

https://gerrit.wikimedia.org/r/290921

Change 290924 had a related patch set uploaded (by Nikerabbit):
Remove styles now in jquery.uls core

https://gerrit.wikimedia.org/r/290924

Change 290890 had a related patch set uploaded (by Nikerabbit):
Give language selection buttons more space

https://gerrit.wikimedia.org/r/290890

Issue:

Change 290924 merged by jenkins-bot:
Remove styles now in jquery.uls core

https://gerrit.wikimedia.org/r/290924

Change 290920 merged by jenkins-bot:
Remove cursor: pointer for links.

https://gerrit.wikimedia.org/r/290920

Change 290894 merged by jenkins-bot:
Set base font size for ULS dialogs to ensure consistent size

https://gerrit.wikimedia.org/r/290894

Change 290893 merged by jenkins-bot:
Remove useless style rule

https://gerrit.wikimedia.org/r/290893

Change 290892 merged by jenkins-bot:
Fix the border of font selectors

https://gerrit.wikimedia.org/r/290892

Change 290887 merged by jenkins-bot:
Remove unnecessary div specification from style rule

https://gerrit.wikimedia.org/r/290887

Change 290888 merged by jenkins-bot:
Remove excessive 5% left-padding and replace with consistent padding

https://gerrit.wikimedia.org/r/290888

Change 290889 merged by jenkins-bot:
Remove border-radius: no border on this element

https://gerrit.wikimedia.org/r/290889

Issues seen in the photo:

  1. Insufficient and inconsistent padding for buttons with long labels.
  2. Not using all of the available space to show the language names.
  3. Extra and and inconsistent padding for buttons with short labels.

Change 290921 merged by jenkins-bot:
Cleanup settings-* rules in ext.uls.css

https://gerrit.wikimedia.org/r/290921

Change 290890 merged by jenkins-bot:
Give language selection buttons more space

https://gerrit.wikimedia.org/r/290890

Change 290891 merged by jenkins-bot:
Have the background for input settings not run to the edge of the dialog

https://gerrit.wikimedia.org/r/290891

Arrbee moved this task from QA to Done on the Language-Q4-2016-Sprint 4 board.Jun 13 2016, 7:03 AM
Nikerabbit closed this task as Resolved.Jul 20 2016, 1:02 PM

Looks like this was forgotten to be resolved.